#!/bin/bash

DB="./db.json"

echo Setting audio
amixer cset numid=3 1
amixer set PCM 95%

echo There are `cat "$DB" | jq '. | length'` songs in database.

# Optional, place a short start.mp3 file, and uncomment this
# mpg123 -q start.mp3 &

MPID=$!

function log {
    echo `date +"%Y-%m-%d %H:%M:%S"`" > $@" >> log.txt
}

log "Started"
while read LINE
do
	if [ ! -z "$MPID" ]
	then
		kill "$MPID" &> /dev/null &
	fi

	SONG=`cat "$DB" | jq -r ' .["'$LINE'"]'`

	if [ "$SONG" != "null" ]
	then
		mpg123 -q "music/$SONG" &
		MPID=$!
        log "Play: $LINE ($SONG)"
	else
		log "ID: $LINE not found"
	fi
done < "${1:-/dev/stdin}"
